| Flutter Impeller |

Public Member Functions | Public Attributes | List of all members
impeller::compiler::StructMember Struct Reference

`#include <reflector.h>`

## Public Member Functions
| StructMember (std::string p_type, std::string p_base_type, std::string p_name, size_t p_offset, size_t p_size, size_t p_byte_length, std::optional< size_t > p_array_elements, size_t p_element_padding)

## Public Attributes
std::string | type
std::string | base_type
std::string | name
size_t | offset = 0u
size_t | size = 0u
size_t | byte_length = 0u
std::optional< size_t > | array_elements = std::nullopt
size_t | element_padding = 0u

## Detailed Description

Definition at line 21 of file reflector.h.

## Constructor & Destructor Documentation

## ◆ StructMember()

impeller::compiler::StructMember::StructMember | ( | std::string | p_type,
|  | std::string | p_base_type,
|  | std::string | p_name,
|  | size_t | p_offset,
|  | size_t | p_size,
|  | size_t | p_byte_length,
|  | std::optional< size_t > | p_array_elements,
|  | size_t | p_element_padding
| ) |  |
| inline

Definition at line 31 of file reflector.h.

39 : type(std::move(p_type)),
40 base_type(std::move(p_base_type)),
41 name(std::move(p_name)),
42 offset(p_offset),
43 size(p_size),
44 byte_length(p_byte_length),
45 array_elements(p_array_elements),
46 element_padding(p_element_padding) {}

## Member Data Documentation

## ◆ array_elements

std::optional<size_t> impeller::compiler::StructMember::array_elements = std::nullopt

Definition at line 28 of file reflector.h.

## ◆ base_type

std::string impeller::compiler::StructMember::base_type

Definition at line 23 of file reflector.h.

## ◆ byte_length

size_t impeller::compiler::StructMember::byte_length = 0u

Definition at line 27 of file reflector.h.

## ◆ element_padding

size_t impeller::compiler::StructMember::element_padding = 0u

Definition at line 29 of file reflector.h.

## ◆ name

std::string impeller::compiler::StructMember::name

Definition at line 24 of file reflector.h.

## ◆ offset

size_t impeller::compiler::StructMember::offset = 0u

Definition at line 25 of file reflector.h.

## ◆ size

size_t impeller::compiler::StructMember::size = 0u

Definition at line 26 of file reflector.h.

## ◆ type

std::string impeller::compiler::StructMember::type

Definition at line 22 of file reflector.h.

The documentation for this struct was generated from the following file:

- impeller/compiler/reflector.h

impeller::compiler::StructMember::offset
size_t offset
Definition: reflector.h:25
impeller::compiler::StructMember::type
std::string type
Definition: reflector.h:22
impeller::compiler::StructMember::array_elements
std::optional< size_t > array_elements
Definition: reflector.h:28
impeller::compiler::StructMember::byte_length
size_t byte_length
Definition: reflector.h:27
impeller::compiler::StructMember::element_padding
size_t element_padding
Definition: reflector.h:29
impeller::compiler::StructMember::base_type
std::string base_type
Definition: reflector.h:23
impeller::compiler::StructMember::size
size_t size
Definition: reflector.h:26
impeller::compiler::StructMember::name
std::string name
Definition: reflector.h:24